%define Werror_cflags %nil

Summary:	An easy to use text editor, supporting syntax highlight and UTF-8
Name:		joe
Version:	4.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Editors
Url:		http://joe-editor.sourceforge.net/
Source:		http://downloads.sourceforge.net/project/joe-editor/JOE%20sources/%{name}-%{version}/%{name}-%{version}.tar.gz
# RPM SPEC mode, originally from Suse's joe
Source1:	spec.jsf
Patch1:		joe-3.7-term.patch

BuildRequires:	pkgconfig(ncurses)

%description
Joe is an easy to use, modeless text editor which would be very
appropriate for novices.  Joe uses the same WordStar keybindings used
in Borland's development environment.

You should install joe if you've used it before and you liked it, or
if you're still deciding what text editor you'd like to use, or if you
have a fondness for WordStar.  If you're just starting out, you should
probably install joe because it is very easy to use.

%prep
%setup -q
%patch1 -p1 -b .TERM

# file-not-utf8
iconv -f koi8-r -t utf-8 ./man/ru/joe.1.in >./man/ru/joe.1.in.aux
touch -r ./man/ru/joe.1.in ./man/ru/joe.1.in.aux
mv ./man/ru/joe.1.in.aux ./man/ru/joe.1.in
iconv -f ISO_8859-1 -t UTF-8 ChangeLog > ChangeLog.tmp
touch -r ChangeLog ChangeLog.tmp
mv ChangeLog.tmp ChangeLog

%build
export CFLAGS="%{optflags} -DUSE_LOCALE"
%configure2_5x
%make_build

%install
%make_install

for dir in %{buildroot}%{_mandir} %{buildroot}%{_mandir}/ru; do
  pushd $dir/man1
  for bin in jmacs jpico jstar rjoe; do
    ln -s joe.1 ${bin}.1
  done
  popd
done

cp -p %{SOURCE1} %{buildroot}%{_datadir}/joe/syntax/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Joe
Comment=An easy to use text editor, supporting syntax highlight and UTF-8
Exec=%{name} %f
Icon=editors_section
Terminal=true
Type=Application
Categories=X-MageiaLinux-MoreApplications-Editors;TextEditor;
EOF

%files
%doc ChangeLog README.md docs/help-system.html NEWS.md
%doc docs/README.old docs/hacking.md docs/man.md
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/joe/
%{_datadir}/%{name}/
%{_mandir}/man1/*.1*
%lang(ru) %{_mandir}/ru/man1/*.1*
%{_datadir}/applications/%{name}.desktop


%changelog
* Sat Jan 14 2017 shlomif <shlomif> 4.3-1.mga6
+ Revision: 1081711
- New version 4.3

* Wed Apr 06 2016 daviddavid <daviddavid> 4.1-3.mga6
+ Revision: 999015
- fix Comment from desktop file (mga#18141)
- remove no more needed "hack to install the manpages"
- use now %%make_install macro
- fix owner of data dir
- fix files not utf8

* Sat Feb 20 2016 umeabot <umeabot> 4.1-2.mga6
+ Revision: 971963
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 ngompa <ngompa> 4.1-1.mga6
+ Revision: 893829
- Update to version 4.1

* Fri Jun 26 2015 sander85 <sander85> 4.0-1.mga6
+ Revision: 844658
- New version: 4.0

* Wed Oct 15 2014 umeabot <umeabot> 3.7-11.mga5
+ Revision: 750207
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.7-10.mga5
+ Revision: 680840
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.7-9.mga4
+ Revision: 522605
- Mageia 4 Mass Rebuild

* Sat Mar 23 2013 wally <wally> 3.7-8.mga3
+ Revision: 404670
- fix desktop file name
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 3.7-7.mga3
+ Revision: 355517
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 sander85 <sander85> 3.7-6.mga2
+ Revision: 199054
- bump rel to enable update from mga1
- clean spec

* Mon Jun 13 2011 sander85 <sander85> 3.7-4.mga2
+ Revision: 105935
- clean spec
- imported package joe

